﻿using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataTreeDynamicIconsCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamDataTree_ActiveNodeChanged(object sender, Infragistics.Controls.Menus.ActiveNodeChangedEventArgs e)
        {
            XamDataTree tree = sender as XamDataTree;
            XamDataTreeNode node = e.NewActiveTreeNode as XamDataTreeNode;
            

            if (node.Data is SampleData)
            {
                SampleData SD = node.Data as SampleData;
                SD.CollapsedImagePath = "Images/Star1.jpg";
                SD.ExpandedImagePath = "Images/Arrow3.png";                
            }

            //IF YOU WOULD LIKE TO GO BACK AFTER DEACTIVATION...
            //XamDataTreeNode oldNode = e.OriginalActiveTreeNode as XamDataTreeNode;
            //if (oldNode != null)
            //{
            //    if (oldNode.Data is SampleData)
            //    {
            //        SampleData SD = oldNode.Data as SampleData;
            //        SD.CollapsedImagePath = "Images/Arrow.png";
            //        SD.ExpandedImagePath = "Images/Arrow2.png";                
            //    }
            //}
        }
    }
}
